# ApiHdfsUpgradeDomainList Data Model

A map from HDFS upgrade domains to host names, implemented as a list of ApiMapEntryOfHostNameList objects, where the keys are upgrade domain strings and the values are ApiHostNameList objects.

Properties
name | data type | description
--- | --- | ---
items | array of ApiMapEntryOfHostNameList |

Example

    {
      "items" : [ {
        "key" : "...",
        "value" : {
          "items" : [ "...", "..." ]
        }
      }, {
        "key" : "...",
        "value" : {
          "items" : [ "...", "..." ]
        }
      } ]
    }